New Update to 1.4.1.3 breaking my app


#1

I’m getting an error after updating to the latest versions of Meteor, mongo and npm-mongo:

/Users/me/.meteor/packages/meteor-tool/.1.4.1_3.vohg77++os.osx.x86_64+web.browser+web.cordova/mt-os.osx.x86_64/isopackets/ddp/npm/node_modules/meteor/promise/node_modules/meteor-promise/promise_server.js:165
      throw error;

The updates:

Changes to your project's package version selections from updating the release:
                                              
mongo      upgraded from 1.1.12_5 to 1.1.13   
npm-mongo  upgraded from 2.2.10_1 to 2.2.11_1

rainbow: updated to Meteor 1.4.1.3.

What can I do? Thanks!


#2

is your version of node up to date?

node -v


#3

It may be worth trying updating all packages with

meteor update --all-packages

#4

Meteor runs its own included versions of node and npm*, so it doesn’t matter what you’ve got installed in dev.


* As long as you use meteor npm when you want to use npm.


#5

I had to update my Node in order to use Meteor 1.4


#6

In dev or production?

Dev Meteor uses its own bundled node. When you deploy meteor (production) you need to provide the correct version of node yourself.


#7

I’m facing the same issue on my Windows 2012 server. I’m not able to create any new apps because the patch update starts and fails:

C:\Users\srahman-a\AppData\Local.meteor\packages\meteor-tool\1.4.1_1\mt-os.windows.x86_32\dev_bundle\li
b\node_modules\meteor-promise\promise_server.js:165
throw error;
^


#8

Thanks for the suggestions — unfortunately the app is still broken after updating.

node -v
… gives me v6.7.0

meteor update --all-packages
… did not work either

Here’s the output below the error message:

SyntaxError: Unexpected end of input
    at Object.parse (native)
    at Object.meteorNpm.getProdPackageNames (/tools/isobuild/meteor-npm.js:157:13)
    at /tools/isobuild/bundler.js:1897:23
    at /tools/isobuild/bundler.js:1891:24
    at Function._.each._.forEach (/Users/kaivermehr/.meteor/packages/meteor-tool/.1.4.1_3.vohg77++os.osx.x86_64+web.browser+web.cordova/mt-os.osx.x86_64/dev_bundle/lib/node_modules/underscore/underscore.js:87:22)
    at JsImage.write (/tools/isobuild/bundler.js:1875:7)
    at ServerTarget.write (/tools/isobuild/bundler.js:2184:13)
    at /tools/isobuild/bundler.js:2268:30
    at /tools/isobuild/bundler.js:2396:9
    at Array.forEach (native)
    at /tools/isobuild/bundler.js:2386:26
    at /tools/isobuild/bundler.js:2326:7
    at /tools/isobuild/bundler.js:2732:22
    at /tools/utils/buildmessage.js:271:13
    at [object Object].withValue (/tools/utils/fiber-helpers.js:89:14)
    at /tools/utils/buildmessage.js:264:29
    at [object Object].withValue (/tools/utils/fiber-helpers.js:89:14)
    at /tools/utils/buildmessage.js:262:18
    at [object Object].withValue (/tools/utils/fiber-helpers.js:89:14)
    at /tools/utils/buildmessage.js:253:23
    at [object Object].withValue (/tools/utils/fiber-helpers.js:89:14)
    at Object.capture (/tools/utils/buildmessage.js:252:19)
    at bundle (/tools/isobuild/bundler.js:2567:31)
    at /tools/isobuild/bundler.js:2514:32
    at Object.withCache (/tools/fs/files.js:1582:12)
    at Object.exports.bundle (/tools/isobuild/bundler.js:2514:16)
    at /tools/runners/run-app.js:582:36
    at Function.run (/tools/tool-env/profile.js:489:12)
    at bundleApp (/tools/runners/run-app.js:572:34)
    at AppRunner._runOnce (/tools/runners/run-app.js:625:35)
    at AppRunner._fiber (/tools/runners/run-app.js:884:28)
    at /tools/runners/run-app.js:402:12

#9

What was your app’s version before the update to 1.4.1.3 ?


#10

Hi all - today I did meteor create and the update worked. I did not change anything. Not sure what made the update work!


#11

Everything works fine with Meteor 1.4.1.2

… with these packages:

aldeed:collection2       2.10.0  Automatic validation of insert and update operations on the client and server.
blaze-html-templates     1.0.5  Compile HTML templates into reactive UI with Meteor Blaze
ecmascript               0.5.8_1  Compiler plugin that supports ES2015+ in all .js files
es5-shim                 4.6.14_1  Shims and polyfills to improve ECMAScript 5 support
jquery                   1.11.9  Manipulate the DOM using CSS selectors
kadira:blaze-layout      2.3.0  Layout Manager for Blaze (works well with FlowRouter)
kadira:dochead           1.5.0  Isomorphic way to manipulate document.head for Meteor apps
kadira:flow-router       2.12.1  Carefully Designed Client Side Router for Meteor
less                     2.7.5_1  Leaner CSS language
meteor-base              1.0.4  Packages that every Meteor app needs
mobile-experience        1.0.4  Packages for a great mobile user experience
mongo                    1.1.12_5* Adaptor for using MongoDB and Minimongo over DDP
reactive-dict            1.1.8  Reactive dictionary
reactive-var             1.0.10  Reactive variable
shell-server             0.2.1  Server-side component of the `meteor shell` command.
standard-minifier-css    1.2.1* Standard css minifier used with Meteor apps by default.
standard-minifier-js     1.2.0_1  Standard javascript minifiers used with Meteor apps by default.
tmeasday:publish-counts  0.8.0  Publish the count of a cursor, in real time
tracker                  1.1.0  Dependency tracker to allow reactive callbacks

#12

Did you just run Meteor create within the existing app folder?


#13

Yes. But if you read this thread, it’s an issue with a CDN provider: Meteor patch 1.4.1.3 update error